# $Revision: 1.15 $, $Date: 2006/03/02 22:56:30 $
Summary:	VPD/hardware inventory utilities for Linux
Summary(pl):	Narzdzia do inwentaryzacji VPD/sprztu dla Linuksa
Name:		lsvpd
Version:	0.14.1
Release:	1
License:	GPL
Group:		Applications/System
Source0:	http://dl.sourceforge.net/linux-diag/%{name}-%{version}.tar.gz
# Source0-md5:	f310891ca548358e778d7009ba0c0976
URL:		http://linux-diag.sourceforge.net/Lsvpd.html
BuildRequires:	perl-base
BuildRequires:	rpmbuild(macros) >= 1.268
BuildRequires:	sed >= 4.0
BuildRequires:	sg3_utils-devel >= 1.01
BuildRequires:	sysfsutils-devel >= 1.3.0-3
Requires(post,preun):	/sbin/chkconfig
Requires:	/bin/bash
Requires:	/bin/sed
Requires:	/bin/sh
Requires:	rc-scripts
Requires:	sg3_utils >= 1.01
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The lsvpd package contains both the lsvpd, lscfg and lsmcode commands.
These commands, along with a boot-time scanning script called
update-device-tree, constitute a simple hardware inventory system. The
lsvpd command provides Vital Product Data (VPD) about hardware
components to higher-level serviceability tools. The lscfg command
provides a more human-readable format of the VPD, as well as some
system-specific information. lsmcode lists microcode and firmware
levels.

%description -l pl
Pakiet lsvpd zawiera polecenia lsvpd, lscfg i lsmcode. Tworz one,
wraz z uruchamianym przy starcie systemu skryptem update-device-tree,
prosty system inwentaryzacji sprztu. Polecenie lsvpd dostarcza VPD
(Vital Product Data) o podzespoach sprztowych dla narzdzi wyszego
poziomu. Polecenie lscfg dostarcza bardziej czyteln dla czowieka
posta VPD oraz troch informacji specyficznych dla systemu. lsmcode
wypisuje poziomy mikrokodu i firmware'u.

%prep
%setup -q
sed -i -e "s,#!/bin/sh,#!/bin/bash," scripts/lsvpd.in

%build
%{__make} \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags} -Wall -I../lib" \
	LDLIBS="-lsysfs -lsgutils"

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT/etc/rc.d/init.d
install debian/init.d $RPM_BUILD_ROOT/etc/rc.d/init.d/lsvpd
# don't install this right now.  It can crash systems.
rm -f $RPM_BUILD_ROOT/lib/lsvpd/pci_vpd_rom_grab

install -d $RPM_BUILD_ROOT/etc/cron.daily
install scripts/lsvpd.cron.daily $RPM_BUILD_ROOT/etc/cron.daily/lsvpd

ln -sf /usr/bin/find $RPM_BUILD_ROOT/lib/lsvpd/find

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add lsvpd
%service lsvpd restart

%preun
if [ "$1" = "0" ] ; then
	%service lsvpd stop
	/sbin/chkconfig --del lsvpd
fi

%files
%defattr(644,root,root,755)
%doc NEWS README TODO docs/*.html
%attr(755,root,root) /sbin/lsvpd
%attr(755,root,root) /sbin/lscfg
%attr(755,root,root) /sbin/lsmcode
%attr(755,root,root) /sbin/lsvio
%attr(755,root,root) /sbin/update-lsvpd-db
%dir /lib/lsvpd
/lib/lsvpd/common.d
/lib/lsvpd/common-post.d
/lib/lsvpd/debug.bash
/lib/lsvpd/ide_mf.map
/lib/lsvpd/lscfg.d
/lib/lsvpd/lsmcode.d
/lib/lsvpd/lsvio.d
/lib/lsvpd/lsvpd-functions.bash
/lib/lsvpd/lsvpd.d
/lib/lsvpd/pci.ids
/lib/lsvpd/query.d
/lib/lsvpd/scan.d
/lib/lsvpd/scsivpd.conf
%attr(755,root,root) /lib/lsvpd/adapter_pci_map
%attr(755,root,root) /lib/lsvpd/device_handler
%attr(755,root,root) /lib/lsvpd/ibm_vpd_render
%attr(755,root,root) /lib/lsvpd/lsvpd_test
%attr(755,root,root) /lib/lsvpd/pci_lookup
%attr(755,root,root) /lib/lsvpd/pci_vpd_cap_grab
%attr(755,root,root) /lib/lsvpd/tdump
%attr(755,root,root) /lib/lsvpd/tidy_lsvpd_dbs
%attr(755,root,root) /lib/lsvpd/tidy_subdirs
%attr(755,root,root) /lib/lsvpd/update-vpd.hotplug
%attr(755,root,root) /lib/lsvpd/vpd-name-crosslink.hotplug
%attr(754,root,root) /etc/rc.d/init.d/lsvpd
%attr(755,root,root) /etc/cron.daily/lsvpd
%{_mandir}/man8/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: lsvpd.spec,v $
Revision 1.15  2006/03/02 22:56:30  glen
- whoops

Revision 1.14  2006/03/02 22:55:45  glen
- standard service restart and stop (if it's bad idea leave note)

Revision 1.13  2005/11/19 13:17:25  qboosh
- updated to 0.14.1

Revision 1.12  2005/10/28 18:39:57  qboosh
- updated to 0.13.2

Revision 1.11  2005/08/13 19:29:19  qboosh
- updated to 0.13.0, removed outdated ide-proc patch

Revision 1.10  2005/05/20 17:43:28  qboosh
- one more file

Revision 1.9  2005/05/18 23:09:49  zbyniu
- BR: perl-base

Revision 1.8  2005/05/18 23:08:01  zbyniu
- up to 0.12.7

Revision 1.7  2005/04/13 17:23:04  darekr
- BR: sed 4.0

Revision 1.6  2004/11/17 12:48:04  qboosh
- added ide-proc patch, release 2

Revision 1.5  2004/11/06 19:17:52  qboosh
- added URL

Revision 1.4  2004/11/06 19:16:51  qboosh
- updated to 0.12.3

Revision 1.3  2004/06/27 19:51:56  qboosh
- updated to 0.12.0

Revision 1.2  2004/05/15 01:09:55  adasi
- it really requires bash
- fixed attributes

Revision 1.1  2004/05/15 00:49:39  qboosh
- new, probably needs some work
- spec partially based on one provided in tarball
